Subject: Re: bug#19468: 25.0.50; UI inconveniences with M-.

From: Dmitry Gutov <[email-masked]>
Date: Sat, 2 May 2015 16:42:28 +0300

On 05/02/2015 03:45 PM, Eli Zaretskii wrote:

> Do you mean it will only return matches in files in that directory,
> even if ID says the file is elsewhere?

I don't know. Can ID file reference files outside of its subtree?

One would also need to study GNU Global and CScope in that context.

> I cannot answer that without understanding the meaning of the prompt.

But you asked a good question.

> If you type "lid", do you see absolute file names in both cases, or do
> you see relative ones when ID was created by "mkid ." (note the dot)?

Relative ones, in both cases. You might want to look at 
`cedet-idutils-expand-filename'.

> I didn't say xref should fix this.  Is there no information  xref gets
> from symref apart of the (empty) list of references?

Not currently, no.